Добро пожаловать в форум, Guest  >>   Войти | Регистрация | Поиск | Правила | В избранное | Подписаться
Все форумы / Firebird, InterBase Новый топик    Ответить
 Проблемы при переходе с 2.5 на 3.0  [new]
rmz
Member

Откуда:
Сообщений: 5
Доброе время суток. Нуждаюсь в помощи решения проблемы. Предистория такова: Имеется чисто виндовая программа клиент и сервер (что-то типа очень очень упрощенной 1с) Использовала базу firebird 2.5 . Был поднят сервер на ubuntu где была разврнута 2.5 версия и лежала база, клиент без проблем подключался к ней и работал. Сейчас вышла новая версия этой программы уже на FB3.0 (если быть точным то 3.04,а на ubuntu максимальная stable версия на сегодня это 3.03) По идее разница не большая, и сути это менять не должно. В общем подняли на сервере версию 3.0, переконвертировали и установили базу, настроили. Клиент видит базу но подключается с ошибкой:
 
=*= CREATE GENERATOR BVER 

DataM.sScript:
This operation is not defined for system tables.SQL error state =42000
Unsuccessful metadata update.
CREATE SEQUENCE BVER failed.
Sequence BVER already exists.


При этом после этой ошибки все работает, но периодически подсыпает еще других ошибок.

Я понимаю что это вроде как проблема самой базы. Но если взять эту же базу и положить на сервер под виндой все прекрасно работает. ТП программы linux не поддерживает но говорят что если на винде работает значит и на linux должно, проблемы в настройке.
Я сравнил firebird.config виндового сервера и linux. На первый взгляд все одинаково, за исключением того что один конфиг больше под юникс второй под линукс заточены.
Подскажите с чем это может быть связано? И как решить данную проблему.

К сообщению приложен файл. Размер - 70Kb
23 мар 19, 00:41    [21841415]     Ответить | Цитировать Сообщить модератору
 Re: Проблемы при переходе с 2.5 на 3.0  [new]
Dimitry Sibiryakov
Member

Откуда:
Сообщений: 47284

rmz
Я понимаю что это вроде как проблема самой базы.

Нет, это очевидная проблема в процессе "переконвертировали", раз кое-кто пытается создать
уже существующий генератор.

Posted via ActualForum NNTP Server 1.5

23 мар 19, 01:06    [21841423]     Ответить | Цитировать Сообщить модератору
 Re: Проблемы при переходе с 2.5 на 3.0  [new]
rmz
Member

Откуда:
Сообщений: 5
Dimitry Sibiryakov
Нет, это очевидная проблема в процессе "переконвертировали", раз кое-кто пытается создать
уже существующий генератор.

Простите не написал сразу, я пробовал брать "чистую" базу из виндового комплекта программ, ситуация аналогичная.
23 мар 19, 02:24    [21841448]     Ответить | Цитировать Сообщить модератору
 Re: Проблемы при переходе с 2.5 на 3.0  [new]
rmz
Member

Откуда:
Сообщений: 5
И почему тогда при использовании сервера под windows данная проблема не проявляется?
23 мар 19, 02:27    [21841450]     Ответить | Цитировать Сообщить модератору
 Re: Проблемы при переходе с 2.5 на 3.0  [new]
ёёёёё
Member

Откуда:
Сообщений: 101
rmz
И почему тогда при использовании сервера под windows данная проблема не проявляется?


Тебя интересует не почему была ошибка, а почему ее не было? Офигеть.
23 мар 19, 05:49    [21841502]     Ответить | Цитировать Сообщить модератору
 Re: Проблемы при переходе с 2.5 на 3.0  [new]
rmz
Member

Откуда:
Сообщений: 5
ёёёёё
Тебя интересует не почему была ошибка, а почему ее не было? Офигеть.

Так ошибка не была. Ошибка есть. И проявляется только на сервере под управлением linux. Вот я и пытаюсь понять почему, потому что у меня нет возможности поднимать новый сервер только ради одной этой базы.
23 мар 19, 09:31    [21841530]     Ответить | Цитировать Сообщить модератору
 Re: Проблемы при переходе с 2.5 на 3.0  [new]
Ivan_Pisarevsky
Member

Откуда: НН
Сообщений: 8253
rmz
И проявляется только на сервере под управлением linux.
Не верю.
23 мар 19, 11:22    [21841590]     Ответить | Цитировать Сообщить модератору
 Re: Проблемы при переходе с 2.5 на 3.0  [new]
Dimitry Sibiryakov
Member

Откуда:
Сообщений: 47284

rmz
я пробовал брать "чистую" базу из виндового комплекта программ

Плохая идея. В 3.0.3 ещё не поправлен баг с несовместимостью баз между Windows/Linux64 и
Linux32. Базу надо создавать на целевом сервер с нуля или бэкапа.

Posted via ActualForum NNTP Server 1.5

23 мар 19, 13:35    [21841650]     Ответить | Цитировать Сообщить модератору
 Re: Проблемы при переходе с 2.5 на 3.0  [new]
rmz
Member

Откуда:
Сообщений: 5
Dimitry Sibiryakov
В 3.0.3 ещё не поправлен баг с несовместимостью баз между Windows/Linux64 и
Linux32. Базу надо создавать на целевом сервер с нуля или бэкапа.

Т.е. все-таки проблема может быть в версии. Ок, тогда будем ждать обновы
24 мар 19, 15:29    [21842122]     Ответить | Цитировать Сообщить модератору
 Re: Проблемы при переходе с 2.5 на 3.0  [new]
Ivan_Pisarevsky
Member

Откуда: НН
Сообщений: 8253
rmz
Ок, тогда будем ждать обновы
Странный вывод. Картинка с другого сайта.
Надо просто сделать бэкап бызы средствами gbak на исходной плаформе. Потом отресторить такой же утилитой только на целевой платформе и от текущей версии ФБ. На целевую платформу рекомендую поставить текущий снапшот.
24 мар 19, 16:40    [21842162]     Ответить | Цитировать Сообщить модератору
 Re: Проблемы при переходе с 2.5 на 3.0  [new]
Dimitry Sibiryakov
Member

Откуда:
Сообщений: 47284

rmz
Т.е. все-таки проблема может быть в версии.

Нет, у этой проблемы совсем другие симптомы. Приложение должно быть совершенно безумным
чтобы выдать вышеозначенную ошибку из-за этого бага.

Posted via ActualForum NNTP Server 1.5

24 мар 19, 16:58    [21842172]     Ответить | Цитировать Сообщить модератору
Все форумы / Firebird, InterBase Ответить